Subject: Re: python-yubikey-manager: ykman crashes

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 20 May 2019 23:56:11 +0200

Ricardo Wurmus <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> I installed python-yubikey-manager and wanted to see a list of all
>> connected keys (one is connected), but instead got this backtrace:
> […]
>
>> smartcard.pcsc.PCSCExceptions.EstablishContextException: 'Failure to establish context: Service not available.'
>
> It seems that this is because I didn’t start the pcscd service.  I’ll
> try to reconfigure my system with (service pcscd-service-type).

This fixed it.  It would be nice if ykman would fail gracefully, but
that’s an upstream issue.

Closing.

-- 
Ricardo